<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>README</title>
  <style>
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    span.underline{text-decoration: underline;}
    div.column{display: inline-block; vertical-align: top; width: 50%;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
  </style>
  <link rel="stylesheet" href="../pandoc/github.css" />
  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>
<body>
<h2 id="benchmark-data">Benchmark Data</h2>
<p>This folder contains the necessary R scripts needed to generate the results.</p>
<h3 id="dependencies">Dependencies</h3>
<p>We use <a href="https://www.r-project.org/"><code>R</code></a> to compile our data with the following library dependencies:</p>
<ul>
<li>ggplot2</li>
<li>reshape2</li>
<li>dplyr</li>
<li>xtable</li>
</ul>
<p>You can check and install missing dependencies immediately by running (for installation you most likely will need <strong>administrator</strong> rights):</p>
<pre><code>Rscript dep.r</code></pre>
<blockquote>
<p><strong>Note:</strong> If an error related to dependencies occurs when running the R script, modify <code>dep.r</code> by forcing the installation of all needed plugins (commenting and uncommenting lines).</p>
</blockquote>
<h3 id="data-source">Data Source</h3>
<p>The plotting scripts will utilize data generated by benchmarking <a href="../platoon">../platoon</a>. For more details see the folder for information. An existing data file is provided <a href="bench.csv">bench.csv</a></p>
<h3 id="generating-plots">Generating Plots</h3>
<p>To generate the plots execute:</p>
<pre><code>Rscript plot.r</code></pre>
<p>PDFs are created with the plots, additional plots can be found in the generated <a href="Rplots.pdf">Rplots.pdf</a>. The benchmark table is created as a <code>.tex</code> file: <a href="benchtable.tex">benchtable.tex</a>.</p>
<p>You can use <code>make clean</code> to remove all created files.</p>
</body>
</html>
